--- old/usr/src/test/zfs-tests/tests/functional/delegate/delegate_common.kshlib	Wed Aug 31 16:21:10 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/delegate_common.kshlib	Wed Aug 31 16:21:10 2016
@@ -1444,27 +1444,27 @@
 	typeset perm=$2
 	typeset vol=$3
 
-	typeset stamp=${perm}.${user}.$($DATE +'%F-%H%M%S')
+	typeset stamp=${perm}.${user}.$(date +'%F-%H%M%S')
         typeset basevol=${vol%/*}
 	typeset snap=$vol@snap.$stamp
 	typeset clone=$basevol/cvol.$stamp
 	typeset renamevol=$basevol/nvol.$stamp
 
-	user_run $user $ZFS rename $vol $renamevol
+	user_run $user zfs rename $vol $renamevol
 	if datasetexists $renamevol ; then
 		return 1
 	fi
 
-	log_must $ZFS allow $user create $basevol
-	user_run $user $ZFS rename $vol $renamevol
-	log_must $ZFS unallow $user create $basevol
+	log_must zfs allow $user create $basevol
+	user_run $user zfs rename $vol $renamevol
+	log_must zfs unallow $user create $basevol
 	if datasetexists $renamevol ; then
 		return 1
 	fi
 
-	log_must $ZFS allow $user mount $basevol
-	user_run $user $ZFS rename $vol $renamevol
-	log_must $ZFS unallow $user mount $basevol
+	log_must zfs allow $user mount $basevol
+	user_run $user zfs rename $vol $renamevol
+	log_must zfs unallow $user mount $basevol
 	if datasetexists $renamevol ; then
 		return 1
 	fi
@@ -1471,16 +1471,16 @@
 
 	# require both create permission on parent and
 	# mount permission on parent as well
-	log_must $ZFS allow $user mount $basevol
-	log_must $ZFS allow $user create $basevol
-	user_run $user $ZFS rename $vol $renamevol
-	log_must $ZFS unallow $user mount $basevol
-	log_must $ZFS unallow $user create $basevol
+	log_must zfs allow $user mount $basevol
+	log_must zfs allow $user create $basevol
+	user_run $user zfs rename $vol $renamevol
+	log_must zfs unallow $user mount $basevol
+	log_must zfs unallow $user create $basevol
 	if ! datasetexists $renamevol ; then
 		return 1
 	fi
 
-	log_must $ZFS rename $renamevol $vol
+	log_must zfs rename $renamevol $vol
 
 	return 0
 }
@@ -1491,14 +1491,14 @@
 	typeset perm=$2
 	typeset vol=$3
 
-	typeset stamp=${perm}.${user}.$($DATE +'%F-%H%M%S')
+	typeset stamp=${perm}.${user}.$(date +'%F-%H%M%S')
         typeset basevol=${vol%/*}
 	typeset snap=$vol@snap.$stamp
 	typeset clone=$basevol/cvol.$stamp
 
-	log_must $ZFS snapshot $snap
-	log_must $ZFS clone $snap $clone
-	log_must $ZFS promote $clone
+	log_must zfs snapshot $snap
+	log_must zfs clone $snap $clone
+	log_must zfs promote $clone
 
 	typeset vol_orig=$(get_prop origin $vol)
 	typeset clone_orig=$(get_prop origin $clone)
@@ -1506,7 +1506,7 @@
 	# promote should fail if $vol and $clone
 	# miss either mount or promote permission
 	# case 1
-	user_run $user $ZFS promote $vol
+	user_run $user zfs promote $vol
 	if [[ $vol_orig != $(get_prop origin $vol) || \
 		$clone_orig != $(get_prop origin $clone) ]];
 	then
@@ -1516,9 +1516,9 @@
 	# promote should fail if $vol and $clone
 	# miss either mount or promote permission
 	# case 2
-	log_must $ZFS allow $user promote $clone
-	user_run $user $ZFS promote $vol
-	log_must $ZFS unallow $user promote $clone
+	log_must zfs allow $user promote $clone
+	user_run $user zfs promote $vol
+	log_must zfs unallow $user promote $clone
 	if [[ $vol_orig != $(get_prop origin $vol) || \
 		$clone_orig != $(get_prop origin $clone) ]];
 	then
@@ -1528,9 +1528,9 @@
 	# promote should fail if $vol and $clone
 	# miss either mount or promote permission
 	# case 3
-	log_must $ZFS allow $user mount $vol
-	user_run $user $ZFS promote $vol
-	log_must $ZFS unallow $user mount $vol
+	log_must zfs allow $user mount $vol
+	user_run $user zfs promote $vol
+	log_must zfs unallow $user mount $vol
 	if [[ $vol_orig != $(get_prop origin $vol) || \
 		$clone_orig != $(get_prop origin $clone) ]];
 	then
@@ -1540,9 +1540,9 @@
 	# promote should fail if $vol and $clone
 	# miss either mount or promote permission
 	# case 4
-	log_must $ZFS allow $user mount $clone
-	user_run $user $ZFS promote $vol
-	log_must $ZFS unallow $user mount $clone
+	log_must zfs allow $user mount $clone
+	user_run $user zfs promote $vol
+	log_must zfs unallow $user mount $clone
 	if [[ $vol_orig != $(get_prop origin $vol) || \
 		$clone_orig != $(get_prop origin $clone) ]];
 	then
@@ -1552,11 +1552,11 @@
 	# promote should fail if $vol and $clone
 	# miss either mount or promote permission
 	# case 5
-	log_must $ZFS allow $user promote $clone
-	log_must $ZFS allow $user mount $vol
-	user_run $user $ZFS promote $vol
-	log_must $ZFS unallow $user promote $clone
-	log_must $ZFS unallow $user mount $vol
+	log_must zfs allow $user promote $clone
+	log_must zfs allow $user mount $vol
+	user_run $user zfs promote $vol
+	log_must zfs unallow $user promote $clone
+	log_must zfs unallow $user mount $vol
 	if [[ $vol_orig != $(get_prop origin $vol) || \
 		$clone_orig != $(get_prop origin $clone) ]];
 	then
@@ -1566,11 +1566,11 @@
 	# promote should fail if $vol and $clone
 	# miss either mount or promote permission
 	# case 6
-	log_must $ZFS allow $user promote $clone
-	log_must $ZFS allow $user mount $clone
-	user_run $user $ZFS promote $vol
-	log_must $ZFS unallow $user promote $clone
-	log_must $ZFS unallow $user mount $vol
+	log_must zfs allow $user promote $clone
+	log_must zfs allow $user mount $clone
+	user_run $user zfs promote $vol
+	log_must zfs unallow $user promote $clone
+	log_must zfs unallow $user mount $vol
 	if [[ $vol_orig != $(get_prop origin $vol) || \
 		$clone_orig != $(get_prop origin $clone) ]];
 	then
@@ -1580,11 +1580,11 @@
 	# promote should fail if $vol and $clone
 	# miss either mount or promote permission
 	# case 7
-	log_must $ZFS allow $user mount $vol
-	log_must $ZFS allow $user mount $clone
-	user_run $user $ZFS promote $vol
-	log_must $ZFS unallow $user mount $vol
-	log_must $ZFS unallow $user mount $clone
+	log_must zfs allow $user mount $vol
+	log_must zfs allow $user mount $clone
+	user_run $user zfs promote $vol
+	log_must zfs unallow $user mount $vol
+	log_must zfs unallow $user mount $clone
 	if [[ $vol_orig != $(get_prop origin $vol) || \
 		$clone_orig != $(get_prop origin $clone) ]];
 	then
@@ -1594,13 +1594,13 @@
 	# promote only succeeds when $vol and $clone
 	# have both mount and promote permission
 	# case 8
-	log_must $ZFS allow $user promote $clone
-	log_must $ZFS allow $user mount $vol
-	log_must $ZFS allow $user mount $clone
-	user_run $user $ZFS promote $vol
-	log_must $ZFS unallow $user promote $clone
-	log_must $ZFS unallow $user mount $vol
-	log_must $ZFS unallow $user mount $clone
+	log_must zfs allow $user promote $clone
+	log_must zfs allow $user mount $vol
+	log_must zfs allow $user mount $clone
+	user_run $user zfs promote $vol
+	log_must zfs unallow $user promote $clone
+	log_must zfs unallow $user mount $vol
+	log_must zfs unallow $user mount $clone
 	if [[ $snap != $(get_prop origin $clone) || \
 		$clone_orig != $(get_prop origin $vol) ]]; then
 		return 1
@@ -1623,7 +1623,7 @@
 
 	if [[ "0" == $reserv_size ]]; then
 		# sparse volume
-		user_run $user $ZFS set volsize=$newval $vol
+		user_run $user zfs set volsize=$newval $vol
 		if [[ $oldval == $(get_prop volsize $vol) ]];
 		then
 			return 1
@@ -1632,17 +1632,17 @@
 	else
 		# normal volume, reservation permission
 		# is required
-		user_run $user $ZFS set volsize=$newval $vol
+		user_run $user zfs set volsize=$newval $vol
 		if [[ $newval == $(get_prop volsize $vol) ]];
 		then
 			return 1
 		fi
 
-		log_must $ZFS allow $user reservation $vol
-		log_must $ZFS allow $user refreservation $vol
-		user_run $user $ZFS set volsize=$newval $vol
-		log_must $ZFS unallow $user reservation $vol
-		log_must $ZFS unallow $user refreservation $vol
+		log_must zfs allow $user reservation $vol
+		log_must zfs allow $user refreservation $vol
+		user_run $user zfs set volsize=$newval $vol
+		log_must zfs unallow $user reservation $vol
+		log_must zfs unallow $user refreservation $vol
 		if [[ $oldval == $(get_prop volsize $vol) ]];
 		then
 			return 1
@@ -1660,16 +1660,16 @@
 
 	typeset -i ret
 
-	user_run $user $ZFS allow $user allow $dtst
+	user_run $user zfs allow $user allow $dtst
 	ret=$?
 	if [[ $ret -eq 0 ]]; then
 		return 1
 	fi
 
-	log_must $ZFS allow $user copies $dtst
-	user_run $user $ZFS allow $user copies $dtst
+	log_must zfs allow $user copies $dtst
+	user_run $user zfs allow $user copies $dtst
 	ret=$?
-	log_must $ZFS unallow $user copies $dtst
+	log_must zfs unallow $user copies $dtst
 	if [[ $ret -eq 1 ]]; then
 		return 1
 	fi
--- old/usr/src/test/zfs-tests/tests/functional/delegate/setup.ksh	Wed Aug 31 16:21:10 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/setup.ksh	Wed Aug 31 16:21:10 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -34,10 +34,10 @@
 # check svc:/network/nis/client:default state
 # disable it if the state is ON
 # and the state will be restored during cleanup.ksh
-log_must $RM -f $NISSTAFILE
-if [[ "ON" == $($SVCS -H -o sta svc:/network/nis/client:default) ]]; then
-	log_must $SVCADM disable -t svc:/network/nis/client:default
-	log_must $TOUCH $NISSTAFILE
+log_must rm -f $NISSTAFILE
+if [[ "ON" == $(svcs -H -o sta svc:/network/nis/client:default) ]]; then
+	log_must svcadm disable -t svc:/network/nis/client:default
+	log_must touch $NISSTAFILE
 fi
 
 cleanup_user_group
@@ -54,6 +54,6 @@
 
 DISK=${DISKS%% *}
 default_volume_setup $DISK
-log_must $CHMOD 777 $TESTDIR
+log_must chmod 777 $TESTDIR
 
 log_pass
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_001_pos.ksh	Wed Aug 31 16:21:10 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_001_pos.ksh	Wed Aug 31 16:21:10 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -65,34 +65,34 @@
 typeset perms="snapshot,reservation,compression,checksum,send,userprop"
 
 log_note "Create a user called 'everyone'."
-if ! $ID everyone > /dev/null 2>&1; then
+if ! id everyone > /dev/null 2>&1; then
 	user_added="TRUE"
-	log_must $USERADD everyone
+	log_must useradd everyone
 fi
 for dtst in $DATASETS ; do
-	log_must $ZFS allow everyone $perms $dtst
+	log_must zfs allow everyone $perms $dtst
 	log_must verify_perm $dtst $perms $EVERYONE "everyone"
 done
 log_must restore_root_datasets
 if [[ $user_added == "TRUE" ]]; then
-	log_must $USERDEL everyone
+	log_must userdel everyone
 fi
 
 log_note "Created a group called 'everyone'."
-if ! $CAT /etc/group | $AWK -F: '{print $1}' | \
-	$GREP -w 'everyone' > /dev/null 2>&1
+if ! cat /etc/group | awk -F: '{print $1}' | \
+	grep -w 'everyone' > /dev/null 2>&1
 then
 	group_added="TRUE"
-	log_must $GROUPADD everyone
+	log_must groupadd everyone
 fi
 
 for dtst in $DATASETS ; do
-	log_must $ZFS allow everyone $perms $dtst
+	log_must zfs allow everyone $perms $dtst
 	log_must verify_perm $dtst $perms $EVERYONE
 done
 log_must restore_root_datasets
 if [[ $group_added == "TRUE" ]]; then
-	log_must $GROUPDEL everyone
+	log_must groupdel everyone
 fi
 
 log_pass "everyone is always interpreted as keyword passed."
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_002_pos.ksh	Wed Aug 31 16:21:10 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_002_pos.ksh	Wed Aug 31 16:21:10 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -48,7 +48,7 @@
 
 function cleanup
 {
-	if $ID $STAFF_GROUP > /dev/null 2>&1; then
+	if id $STAFF_GROUP > /dev/null 2>&1; then
 		log_must del_user $STAFF_GROUP
 	fi
 
@@ -61,9 +61,9 @@
 eval set -A dataset $DATASETS
 typeset perms="snapshot,reservation,compression,checksum,send,userprop"
 
-log_must $USERADD $STAFF_GROUP
+log_must useradd $STAFF_GROUP
 for dtst in $DATASETS ; do
-	log_must $ZFS allow $STAFF_GROUP $perms $dtst
+	log_must zfs allow $STAFF_GROUP $perms $dtst
 	log_must verify_perm $dtst $perms $STAFF_GROUP
 	log_must verify_noperm $dtst $perms $STAFF1 $STAFF2
 done
@@ -72,7 +72,7 @@
 
 log_must del_user $STAFF_GROUP
 for dtst in $datasets ; do
-	log_must $ZFS allow $STAFF_GROUP $perms $dtst
+	log_must zfs allow $STAFF_GROUP $perms $dtst
 	log_must verify_perm $dtst $perms $STAFF1 $STAFF2
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_003_pos.ksh	Wed Aug 31 16:21:10 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_003_pos.ksh	Wed Aug 31 16:21:10 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -53,10 +53,10 @@
 eval set -A dataset $DATASETS
 typeset perms="snapshot,reservation,compression,checksum,userprop"
 
-log_must $ZFS create $childfs
+log_must zfs create $childfs
 
 for dtst in $DATASETS ; do
-	log_must $ZFS allow -l $STAFF1 $perms $dtst
+	log_must zfs allow -l $STAFF1 $perms $dtst
 	log_must verify_perm $dtst $perms $STAFF1
 	if [[ $dtst == $ROOT_TESTFS ]] ; then
 		log_must verify_noperm $childfs $perms \
@@ -66,9 +66,9 @@
 
 log_must restore_root_datasets
 
-log_must $ZFS create $childfs
+log_must zfs create $childfs
 for dtst in $DATASETS ; do
-	log_must $ZFS allow -l -g $STAFF_GROUP $perms $dtst
+	log_must zfs allow -l -g $STAFF_GROUP $perms $dtst
 	log_must verify_perm $dtst $perms $STAFF1 $STAFF2
 	if [[ $dtst == $ROOT_TESTFS ]] ; then
 		log_must verify_noperm $childfs $perms \
@@ -78,9 +78,9 @@
 
 log_must restore_root_datasets
 
-log_must $ZFS create $childfs
+log_must zfs create $childfs
 for dtst in $DATASETS ; do
-	log_must $ZFS allow -l -e $perms $dtst
+	log_must zfs allow -l -e $perms $dtst
 	log_must verify_perm $dtst $perms $STAFF1 $STAFF2 $OTHER1 $OTHER2
 	if [[ $dtst == $ROOT_TESTFS ]] ; then
 		log_must verify_noperm $childfs $perms \
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_004_pos.ksh	Wed Aug 31 16:21:10 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_004_pos.ksh	Wed Aug 31 16:21:10 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -58,9 +58,9 @@
 typeset perms="snapshot,reservation,compression,checksum,userprop"
 
 # Verify option '-d' only affect sub-datasets
-log_must $ZFS create $childfs
+log_must zfs create $childfs
 for dtst in $DATASETS ; do
-	log_must $ZFS allow -d $STAFF1 $perms $dtst
+	log_must zfs allow -d $STAFF1 $perms $dtst
 	log_must verify_noperm $dtst $perms $STAFF1
 	if [[ $dtst == $ROOT_TESTFS ]]; then
 		log_must verify_perm $childfs $perms $STAFF1
@@ -70,9 +70,9 @@
 log_must restore_root_datasets
 
 # Verify option '-d + -g' affect group in sub-datasets.
-log_must $ZFS create $childfs
+log_must zfs create $childfs
 for dtst in $DATASETS ; do
-	log_must $ZFS allow -d -g $STAFF_GROUP $perms $dtst
+	log_must zfs allow -d -g $STAFF_GROUP $perms $dtst
 	log_must verify_noperm $dtst $perms $STAFF2
 	if [[ $dtst == $ROOT_TESTFS ]]; then
 		log_must verify_perm $childfs $perms $STAFF2
@@ -82,9 +82,9 @@
 log_must restore_root_datasets
 
 # Verify option '-d + -e' affect everyone in sub-datasets.
-log_must $ZFS create $childfs
+log_must zfs create $childfs
 for dtst in $DATASETS ; do
-	log_must $ZFS allow -d -e $perms $dtst
+	log_must zfs allow -d -e $perms $dtst
 	log_must verify_noperm $dtst $perms $OTHER1 $OTHER2
 	if [[ $dtst == $ROOT_TESTFS ]]; then
 		log_must verify_perm $childfs $perms $OTHER1 $OTHER2
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_005_pos.ksh	Wed Aug 31 16:21:10 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_005_pos.ksh	Wed Aug 31 16:21:11 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -52,16 +52,16 @@
 eval set -A dataset $DATASETS
 typeset perms="snapshot,reservation,compression,checksum,userprop"
 
-log_must $ZFS allow -l everyone create,mount $ROOT_TESTFS
-log_must $ZFS allow -c $perms $ROOT_TESTFS
+log_must zfs allow -l everyone create,mount $ROOT_TESTFS
+log_must zfs allow -c $perms $ROOT_TESTFS
 
 mntpnt=$(get_prop mountpoint $ROOT_TESTFS)
-log_must $CHMOD 777 $mntpnt
+log_must chmod 777 $mntpnt
 
 for user in $EVERYONE; do
 	childfs=$ROOT_TESTFS/$user
 
-	user_run $user $ZFS create $childfs
+	user_run $user zfs create $childfs
 
 	for other in $EVERYONE; do
 		#
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_006_pos.ksh	Wed Aug 31 16:21:11 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_006_pos.ksh	Wed Aug 31 16:21:11 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -51,21 +51,21 @@
 log_onexit restore_root_datasets
 
 fs1=$ROOT_TESTFS/fs1; fs2=$ROOT_TESTFS/fs2
-log_must $ZFS create $fs1
-log_must $ZFS create $fs2
+log_must zfs create $fs1
+log_must zfs create $fs2
 
 eval set -A dataset $DATASETS
 perms1="snapshot,checksum,reservation"
 
 for dtst in $DATASETS $fs1 $fs2; do
-	log_must $ZFS allow -s @basic $perms1 $dtst
-	log_must $ZFS allow $STAFF1 @basic $dtst
+	log_must zfs allow -s @basic $perms1 $dtst
+	log_must zfs allow $STAFF1 @basic $dtst
 	log_must verify_perm $dtst $perms1 $STAFF1
 done
 
 perms2="send,compression,userprop"
 for dtst in $DATASETS $fs1 $fs2; do
-	log_must $ZFS allow -s @basic $perms2 $dtst
+	log_must zfs allow -s @basic $perms2 $dtst
 	log_must verify_perm $dtst ${perms1},${perms2} $STAFF1
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_007_pos.ksh	Wed Aug 31 16:21:11 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_007_pos.ksh	Wed Aug 31 16:21:11 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -62,16 +62,16 @@
 #
 childfs=$ROOT_TESTFS/childfs
 grandchild=$childfs/grandchild
-log_must $ZFS create $childfs
-log_must $ZFS create $grandchild
+log_must zfs create $childfs
+log_must zfs create $grandchild
 
 #
 # Setting different permissions to the same set on two level.
 # But only assign the user at one level.
 #
-log_must $ZFS allow -s @set $perms1 $ROOT_TESTFS
-log_must $ZFS allow -s @set $perms2 $childfs
-log_must $ZFS allow $STAFF1 @set $childfs
+log_must zfs allow -s @set $perms1 $ROOT_TESTFS
+log_must zfs allow -s @set $perms2 $childfs
+log_must zfs allow $STAFF1 @set $childfs
 
 #
 # Verify only perms2 is valid to user on the level which he was assigned.
@@ -86,7 +86,7 @@
 # Delegate @set to STAFF1 on ROOT_TESTFS, verify $perms1 will not be appended
 # to its descendent datasets since it is masked
 #
-log_must $ZFS allow $STAFF1 @set $ROOT_TESTFS
+log_must zfs allow $STAFF1 @set $ROOT_TESTFS
 log_must verify_perm $ROOT_TESTFS $perms1 $STAFF1
 for fs in $childfs $grandchild ; do
 	log_must verify_noperm $fs $perms1 $STAFF1
@@ -94,7 +94,7 @@
 done
 
 # Remove the mask, $perms1 will be allowed to its descendent datasets
-log_must $ZFS unallow -s @set $childfs
+log_must zfs unallow -s @set $childfs
 for fs in $childfs $grandchild ; do
 	log_must verify_noperm $fs $perms2 $STAFF1
 	log_must verify_perm $fs $perms1 $STAFF1
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_008_pos.ksh	Wed Aug 31 16:21:11 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_008_pos.ksh	Wed Aug 31 16:21:11 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -51,27 +51,27 @@
 perms2="send,compression,checksum,userprop"
 childfs=$ROOT_TESTFS/childfs
 
-log_must $ZFS create $childfs
+log_must zfs create $childfs
 
 for dtst in $DATASETS ; do
 	# Delegate local permission to $STAFF1
-	log_must $ZFS allow -l $STAFF1 $perms1 $dtst
-	log_must $ZFS allow -l $STAFF1 allow $dtst
+	log_must zfs allow -l $STAFF1 $perms1 $dtst
+	log_must zfs allow -l $STAFF1 allow $dtst
 
 	if [[ $dtst == $ROOT_TESTFS ]]; then
-		log_must $ZFS allow -l $STAFF1 $perms2 $childfs
+		log_must zfs allow -l $STAFF1 $perms2 $childfs
 		# $perms1 is local permission in $ROOT_TESTFS
-		log_mustnot user_run $STAFF1 $ZFS allow $OTHER1 $perms1 $childfs
+		log_mustnot user_run $STAFF1 zfs allow $OTHER1 $perms1 $childfs
 		log_must verify_noperm $childfs $perms1 $OTHER1
 	fi
 
 	# Verify 'allow' give non-privilege user delegated permission.
-	log_must user_run $STAFF1 $ZFS allow -l $OTHER1 $perms1 $dtst
+	log_must user_run $STAFF1 zfs allow -l $OTHER1 $perms1 $dtst
 	log_must verify_perm $dtst $perms1 $OTHER1
 
 	# $perms2 was not allow to $STAFF1, so he have no permission to
 	# delegate permission to other else.
-	log_mustnot user_run $STAFF1 $ZFS allow $OTHER1 $perms2 $dtst
+	log_mustnot user_run $STAFF1 zfs allow $OTHER1 $perms2 $dtst
 	log_must verify_noperm $dtst $perms2 $OTHER1
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_009_neg.ksh	Wed Aug 31 16:21:11 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_009_neg.ksh	Wed Aug 31 16:21:11 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -49,16 +49,16 @@
 # Permission sets are limited to 64 characters in length.
 longset="set123456789012345678901234567890123456789012345678901234567890123"
 for dtst in $DATASETS ; do
-	log_mustnot eval "$ZFS allow -s @$longset $dtst"
+	log_mustnot eval "zfs allow -s @$longset $dtst"
 	# Create non-existent permission set
-	typeset timestamp=$($DATE +'%F-%R:%S')
-	log_mustnot $ZFS allow -s @non-existent $dtst
-	log_mustnot $ZFS allow $STAFF "atime,created,mounted" $dtst
-	log_mustnot $ZFS allow $dtst $TESTPOOL
-	log_mustnot $ZFS allow -c $dtst
-	log_mustnot $ZFS allow -u $STAFF1 $dtst
-	log_mustnot $ZFS allow -u $STAFF1 -g $STAFF_GROUP "create,destroy" $dtst
-	log_mustnot $ZFS allow -u $STAFF1 -e "mountpoint" $dtst
+	typeset timestamp=$(date +'%F-%R:%S')
+	log_mustnot zfs allow -s @non-existent $dtst
+	log_mustnot zfs allow $STAFF "atime,created,mounted" $dtst
+	log_mustnot zfs allow $dtst $TESTPOOL
+	log_mustnot zfs allow -c $dtst
+	log_mustnot zfs allow -u $STAFF1 $dtst
+	log_mustnot zfs allow -u $STAFF1 -g $STAFF_GROUP "create,destroy" $dtst
+	log_mustnot zfs allow -u $STAFF1 -e "mountpoint" $dtst
 done
 
 log_pass "Invalid arguments are handled correctly."
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_010_pos.ksh	Wed Aug 31 16:21:11 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_010_pos.ksh	Wed Aug 31 16:21:11 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -95,7 +95,7 @@
 
 	typeset -i i=0
 	while (( i < ${#perms[@]} )); do
-		log_must $ZFS allow $STAFF1 ${perms[$i]} $dtst
+		log_must zfs allow $STAFF1 ${perms[$i]} $dtst
 
 		if [[ ${perms[((i+k))]} == "true" ]]; then
 			log_must verify_perm $dtst ${perms[$i]} $STAFF1
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_011_neg.ksh	Wed Aug 31 16:21:11 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_011_neg.ksh	Wed Aug 31 16:21:11 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -59,7 +59,7 @@
 	typeset -i i=0
 
 	while ((i < ${#invalid_perms[@]})); do
-		log_mustnot $ZFS allow $STAFF1 ${invalid_perms[$i]} $dtst
+		log_mustnot zfs allow $STAFF1 ${invalid_perms[$i]} $dtst
 
 		((i += 1))
 	done
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_012_neg.ksh	Wed Aug 31 16:21:11 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_allow_012_neg.ksh	Wed Aug 31 16:21:11 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -46,7 +46,7 @@
 
 function cleanup
 {
-	log_must $ZPOOL set delegation=on $TESTPOOL
+	log_must zpool set delegation=on $TESTPOOL
 	log_must restore_root_datasets
 }
 
@@ -61,13 +61,13 @@
 		aclmode aclinherit rollback clone rename promote \
 		zoned xattr receive destroy sharenfs share
 
-log_must $ZPOOL set delegation=off $TESTPOOL
+log_must zpool set delegation=off $TESTPOOL
 
 for dtst in $DATASETS; do
 	typeset -i i=0
 	while (( i < ${#perms[@]} )); do
 
-		log_must $ZFS allow $STAFF1 ${perms[$i]} $dtst
+		log_must zfs allow $STAFF1 ${perms[$i]} $dtst
 		log_must verify_noperm $dtst ${perms[$i]} $STAFF1
 
 		log_must restore_root_datasets
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_001_pos.ksh	Wed Aug 31 16:21:11 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_001_pos.ksh	Wed Aug 31 16:21:11 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -49,10 +49,10 @@
 log_must setup_unallow_testenv
 
 for dtst in $DATASETS ; do
-	log_must $ZFS unallow -l $STAFF1 $dtst
+	log_must zfs unallow -l $STAFF1 $dtst
 	log_must verify_noperm $dtst $LOCAL_SET $STAFF1
 
-	log_must $ZFS unallow -l $OTHER1 $dtst
+	log_must zfs unallow -l $OTHER1 $dtst
 	log_must verify_noperm $dtst $LOCAL_DESC_SET $OTHER1
 
 	log_must verify_perm $dtst $LOCAL_DESC_SET $OTHER2
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_002_pos.ksh	Wed Aug 31 16:21:11 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_002_pos.ksh	Wed Aug 31 16:21:11 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -48,10 +48,10 @@
 
 log_must setup_unallow_testenv
 
-log_must $ZFS unallow -d $STAFF2 $ROOT_TESTFS
+log_must zfs unallow -d $STAFF2 $ROOT_TESTFS
 log_must verify_noperm $SUBFS $DESC_SET $STAFF2
 
-log_must $ZFS unallow -d $OTHER1 $ROOT_TESTFS
+log_must zfs unallow -d $OTHER1 $ROOT_TESTFS
 log_must verify_noperm $SUBFS $LOCAL_DESC_SET $OTHER1
 log_must verify_perm $ROOT_TESTFS $LOCAL_DESC_SET $OTHER1
 
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_003_pos.ksh	Wed Aug 31 16:21:12 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_003_pos.ksh	Wed Aug 31 16:21:12 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -53,15 +53,15 @@
 log_must setup_unallow_testenv
 
 for dtst in $DATASETS ; do
-	log_must $ZFS unallow $STAFF1 $dtst
-	log_must $ZFS unallow -l -d $STAFF2 $dtst
+	log_must zfs unallow $STAFF1 $dtst
+	log_must zfs unallow -l -d $STAFF2 $dtst
 	log_must verify_noperm $dtst $LOCAL_SET $STAFF1
 	if [[ $dtst == $ROOT_TESTFS ]]; then
 		log_must verify_noperm $SUBFS $DESC_SET $STAFF2
 	fi
 
-	log_must $ZFS unallow -l -d $OTHER1 $dtst
-	log_must $ZFS unallow -r $OTHER2 $dtst
+	log_must zfs unallow -l -d $OTHER1 $dtst
+	log_must zfs unallow -r $OTHER2 $dtst
 	log_must verify_noperm $dtst $LOCAL_DESC_SET $OTHER1 $OTHER2
 	if [[ $dtst == $ROOT_TESTFS ]]; then
 		log_must verify_noperm $SUBFS $LOCAL_DESC_SET $OTHER1 $OTHER2
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_004_pos.ksh	Wed Aug 31 16:21:12 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_004_pos.ksh	Wed Aug 31 16:21:12 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -48,11 +48,11 @@
 log_onexit restore_root_datasets
 
 for dtst in $DATASETS ; do
-	log_must $ZFS allow -s @basic $LOCAL_DESC_SET $dtst
-	log_must $ZFS allow -u $STAFF1 @basic $dtst
+	log_must zfs allow -s @basic $LOCAL_DESC_SET $dtst
+	log_must zfs allow -u $STAFF1 @basic $dtst
 
 	log_must verify_perm $dtst $LOCAL_DESC_SET $STAFF1
-	log_must $ZFS unallow -s @basic $LOCAL_DESC_SET $dtst
+	log_must zfs unallow -s @basic $LOCAL_DESC_SET $dtst
 	log_must verify_noperm $dtst $LOCAL_DESC_SET $STAFF1
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_005_pos.ksh	Wed Aug 31 16:21:12 2016
+++ new/usr/src/test/zfs-tests/tests/functional/delegate/zfs_unallow_005_pos.ksh	Wed Aug 31 16:21:12 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/delegate/delegate_common.kshlib
@@ -49,13 +49,13 @@
 log_assert "Verify option '-c' will remove the created permission set."
 log_onexit restore_root_datasets
 
-log_must $ZFS allow -c $LOCAL_SET $ROOT_TESTFS
-log_must $ZFS allow -l $STAFF1 create,mount $ROOT_TESTFS
+log_must zfs allow -c $LOCAL_SET $ROOT_TESTFS
+log_must zfs allow -l $STAFF1 create,mount $ROOT_TESTFS
 
 # Create $SUBFS and verify $SUBFS has created time permissions.
-user_run $STAFF1 $ZFS create $SUBFS
+user_run $STAFF1 zfs create $SUBFS
 if ! datasetexists $SUBFS ; then
-	log_fail "ERROR: ($STAFF1): $ZFS create $SUBFS"
+	log_fail "ERROR: ($STAFF1): zfs create $SUBFS"
 fi
 log_must verify_perm $SUBFS $LOCAL_SET $STAFF1
 
@@ -63,10 +63,10 @@
 # After unallow -c, create $SUBFS2 and verify $SUBFS2 has not created time
 # permissions any more.
 #
-log_must $ZFS unallow -c $LOCAL_SET $ROOT_TESTFS
-user_run $STAFF1 $ZFS create $SUBFS2
+log_must zfs unallow -c $LOCAL_SET $ROOT_TESTFS
+user_run $STAFF1 zfs create $SUBFS2
 if ! datasetexists $SUBFS2 ; then
-	log_fail "ERROR: ($STAFF1): $ZFS create $SUBFS2"
+	log_fail "ERROR: ($STAFF1): zfs create $SUBFS2"
 fi
 log_must verify_noperm $SUBFS2 $LOCAL_SET $STAFF1
 
